Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent.std.span
Class FontSpan

    java.lang.Object
      multivalent.VObject
          multivalent.Behavior
              multivalent.Span
                  multivalent.std.span.FontSpan

All Implemented Interfaces:
  ContextListener, EventListener, java.util.EventListener

public class FontSpan
extends Span

Convenience span for setting font properties: family, size, style. Applications should usually instead use a generic `Span` with a name, and set display properties in the stylesheet.

Version:
  $Revision: 1.1 $ $Date: 2002/02/02 13:16:26 $

Field Summary
`static java.lang.String` | `ATTR_FAMILY`
`static java.lang.String` | `ATTR_FLAGS`
`static java.lang.String` | `ATTR_SIZE`
`static java.lang.String` | `ATTR_WEIGHT`
`java.lang.String` | `family` Family name, or null to disable.
`int` | `flags`
`float` | `size` Size in logical points.
`NFont` | `spot` Alternatively, spot font.
`int` | `weight`

Fields inherited from class multivalent.Span
`GI_END, GI_START, MSG_DELETE, MSG_EDIT, MSG_MORPH, MSG_UNATTACHED, pend, pstart`

Fields inherited from class multivalent.Behavior
`ATTR_BEHAVIOR, name_`

Fields inherited from class multivalent.VObject
`attr_`

Fields inherited from interface multivalent.ContextListener
`LITTLE, LOT, PRIORITY_LENS, PRIORITY_MAX, PRIORITY_MIN, PRIORITY_SELECTION, PRIORITY_SPAN, PRIORITY_STRUCT, SOME`

Constructor Summary
`FontSpan()`

Method Summary
`boolean` | `appearance(Context cx, boolean all)` Resets the graphics context every time the object is added to or dropped from the set active over the portion of the document being drawn.
`void` | `restore(ESISNode n, java.util.Map<java.lang.String,java.lang.Object> attr, Layer layer)` Given ESIS subtree, pluck class-specific information from attributes, call super.restore() for locations.
`ESISNode` | `save()` Stuff instance state into attributes; if save buffer not null, write out corresponding XML.

Methods inherited from class multivalent.Span
`buildAfter, checkRep, close, closeAll, contains, contains, destroy, event, getEnd, getPriority, getStart, isSet, markDirty, move, move, move, moveq, moveq, moveq, moveqSwap, open, repaint, repaint, semanticEventAfter, semanticEventBefore, stretch, toString`

Methods inherited from class multivalent.Behavior
`buildBefore, clipboardAfter, clipboardBefore, createUI, eventAfter, eventBefore, formatAfter, formatBefore, getBrowser, getDocument, getInstance, getInstance, getLayer, getLogger, getName, getPreference, getRoot, isEditable, paintAfter, paintBefore, putPreference, redo, restoreChildren, setName, undo`

Methods inherited from class multivalent.VObject
`attrEntrySetIterator, attrKeysIterator, clearAttributes, getAttr, getAttr, getAttributes, getGlobal, getValue, hasAttributes, putAttr, removeAttr, setAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ATTR_FAMILY

    public static final java.lang.String ATTR_FAMILY

See Also:
  Constant Field Values

### ATTR_SIZE

    public static final java.lang.String ATTR_SIZE

See Also:
  Constant Field Values

### ATTR_WEIGHT

    public static final java.lang.String ATTR_WEIGHT

See Also:
  Constant Field Values

### ATTR_FLAGS

    public static final java.lang.String ATTR_FLAGS

See Also:
  Constant Field Values

### family

    public java.lang.String family

  Family name, or null to disable.

### size

    public float size

  Size in logical points. Set to -1 to disable.

### weight

    public int weight

### flags

    public int flags

### spot

    public NFont spot

  Alternatively, spot font.

Constructor Detail

### FontSpan

    public FontSpan()

Method Detail

### appearance

    public boolean appearance(Context cx,
                              boolean all)

  Description copied from interface: `ContextListener`
  Resets the graphics context every time the object is added to or dropped from the set active over the portion of the document being drawn. These behaviors can come from the style sheet, be ad hoc spans, be lenses, or come from elsewhere. Should be fast.

  Specified by:
    `appearance` in interface `ContextListener`
  Overrides:
    `appearance` in class `Span`
    `all` - all attributes or exclude those that are not inherited

### save

    public ESISNode save()

  Description copied from class: `Span`
  Stuff instance state into attributes; if save buffer not null, write out corresponding XML. Subclass should override if have interesting content (can stuff content into attr then super.save()). If span is not attached to tree at save time, its old attachment points are retained. This way, spans that can't be attached presently can be tried again without degradation.

  Overrides:
    `save` in class `Span`

### restore

    public void restore(ESISNode n,
                        java.util.Map<java.lang.String,java.lang.Object> attr,
                        Layer layer)

  Description copied from class: `Span`
  Given ESIS subtree, pluck class-specific information from attributes, call super.restore() for locations. Attributes named `start` and `end` are reserved to hold Robust Location data.

  Overrides:
    `restore` in class `Span`
  See Also:
    `RobustLocation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD